complexType "FloatingRate"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 1 attribute, 7 elements
Defined: | globally in fpml-shared-5-3.xsd; see XML source
Includes: | definitions of 5 elements
Used: | at 4 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | floatingRateIndex?, indexTenor?, floatingRateMultiplierSchedule?, spreadSchedule*, rateTreatment?, capRateSchedule*, floorRateSchedule*
</...>

Content Model Elements (7):

  capRateSchedule,
  floatingRateIndex (defined in FloatingRateIndex.model group),
  floatingRateMultiplierSchedule,
  floorRateSchedule,
  indexTenor (defined in FloatingRateIndex.model group),
  rateTreatment,
  spreadSchedule (defined in FloatingRate complexType)

Known Direct Subtypes (1):

  FloatingRateCalculation

Known Indirect Subtypes (1):

  InflationRateCalculation

All Direct / Indirect Based Elements (6):

  floatingRate (defined in StubValue complexType),
  floatingRate (defined in TradeUnderlyer complexType),
  floatingRate (in underlyer defined in GenericProduct complexType),
  floatingRateCalculation,
  floatingRateCalculation (defined in InterestAccrualsMethod complexType),
  inflationRateCalculation

Known Usage Locations

- In derivations of other global types (1):
  FloatingRateCalculation (as extension base)
- As direct type of elements (3):
  floatingRate (defined in StubValue complexType),
  floatingRate (defined in TradeUnderlyer complexType),
  floatingRate (in underlyer defined in GenericProduct complexType)

Annotation
A type defining a floating rate.
Type Definition Detail

Type Derivation Tree Rate (extension) FloatingRate

XML Source (w/o annotations (6); see within schema source)

<xsd:complexType name="FloatingRate"> <xsd:complexContent> <xsd:extension base="Rate"> <xsd:sequence> <xsd:group ref="FloatingRateIndex.model"/> <xsd:element minOccurs="0" name="floatingRateMultiplierSchedule" type="Schedule"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="spreadSchedule" type="SpreadSchedule"/> <xsd:element minOccurs="0" name="rateTreatment" type="RateTreatmentEnum"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="capRateSchedule" type="StrikeSchedule"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="floorRateSchedule" type="StrikeSchedule"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 5/7)
capRateSchedule

  Type: | StrikeSchedule, complex content

  The cap rate or cap rate schedule, if any, which applies to the floating rate. The cap rate (strike) is only required where the floating rate on a swap stream is capped at a certain level. A cap rate schedule is expressed as explicit cap rates and dates and the step dates may be subject to adjustment in accordance with any adjustments specified in calculationPeriodDatesAdjustments. The cap rate is assumed to be exclusive of any spread and is a per annum rate, expressed as a decimal. A cap rate of 5% would be represented as 0.05.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="capRateSchedule" type="StrikeSchedule"/>

floatingRateMultiplierSchedule

  Type: | Schedule, complex content

  A rate multiplier or multiplier schedule to apply to the floating rate. A multiplier schedule is expressed as explicit multipliers and dates. In the case of a schedule, the step dates may be subject to adjustment in accordance with any adjustments specified in the calculationPeriodDatesAdjustments. The multiplier can be a positive or negative decimal. This element should only be included if the multiplier is not equal to 1 (one) for the term of the stream.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="floatingRateMultiplierSchedule" type="Schedule"/>

floorRateSchedule

  Type: | StrikeSchedule, complex content

  The floor rate or floor rate schedule, if any, which applies to the floating rate. The floor rate (strike) is only required where the floating rate on a swap stream is floored at a certain strike level. A floor rate schedule is expressed as explicit floor rates and dates and the step dates may be subject to adjustment in accordance with any adjustments specified in calculationPeriodDatesAdjustments. The floor rate is assumed to be exclusive of any spread and is a per annum rate, expressed as a decimal. A floor rate of 5% would be represented as 0.05.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="floorRateSchedule" type="StrikeSchedule"/>

rateTreatment

  Type: | RateTreatmentEnum, simple content

  The specification of any rate conversion which needs to be applied to the observed rate before being used in any calculations. The two common conversions are for securities quoted on a bank discount basis which will need to be converted to either a Money Market Yield or Bond Equivalent Yield. See the Annex to the 2000 ISDA Definitions, Section 7.3. Certain General Definitions Relating to Floating Rate Options, paragraphs (g) and (h) for definitions of these terms.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "BondEquivalentYield" | - | Bond Equivalent Yield. Per Annex to the 2000 ISDA Definitions (June 2000 Version), Section 7.3. Certain General Definitions Relating to Floating Rate Options, paragraph (g). See: http://www.FpML.org
  "MoneyMarketYield" | - | Money Market Yield. Per Annex to the 2000 ISDA Definitions (June 2000 Version), Section 7.3. Certain General Definitions Relating to Floating Rate Options, paragraph (h). See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="rateTreatment" type="RateTreatmentEnum"/>

spreadSchedule

  Type: | SpreadSchedule, complex content

  The ISDA Spread or a Spread schedule expressed as explicit spreads and dates. In the case of a schedule, the step dates may be subject to adjustment in accordance with any adjustments specified in calculationPeriodDatesAdjustments. The spread is a per annum rate, expressed as a decimal. For purposes of determining a calculation period amount, if positive the spread will be added to the floating rate and if negative the spread will be subtracted from the floating rate. A positive 10 basis point (0.1%) spread would be represented as 0.001.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="spreadSchedule" type="SpreadSchedule"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.